Package org.codehaus.groovy.control.customizers

## Class ImportCustomizer

- java.lang.Object
- - org.codehaus.groovy.control.customizers.CompilationCustomizer
  - - org.codehaus.groovy.control.customizers.ImportCustomizer

- All Implemented Interfaces:
    `CompilationUnit.IPrimaryClassNodeOperation`

      public class ImportCustomizer
      extends CompilationCustomizer

  This compilation customizer allows addiing various types of imports to the compilation unit. Supports adding:
  - standard imports via `addImports(String...)` or `addImport(String, String)`
  - star imports via `addStarImports(String...)`
  - static imports via `addStaticImport(String, String)` or `addStaticImport(String, String, String)`
  - static star imports via `addStaticStars(String...)`
  Since:
    1.8.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImportCustomizer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ImportCustomizer` | `addImport​(String alias, String className)` |
    `ImportCustomizer` | `addImports​(String... classNames)` |
    `ImportCustomizer` | `addStarImports​(String... packageNames)` |
    `ImportCustomizer` | `addStaticImport​(String className, String fieldName)` |
    `ImportCustomizer` | `addStaticImport​(String alias, String className, String fieldName)` |
    `ImportCustomizer` | `addStaticStars​(String... classNames)` |
    `void` | `call​(SourceUnit source, GeneratorContext context, ClassNode classNode)` |

    - ### Methods inherited from class org.codehaus.groovy.control.customizers.CompilationCustomizer

      `getPhase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.control.CompilationUnit.IPrimaryClassNodeOperation

      `doPhaseOperation, needSortedInput`

- - ### Constructor Detail

    - #### ImportCustomizer

          public ImportCustomizer()

  - ### Method Detail

    - #### call

          public void call​(SourceUnit source,
                           GeneratorContext context,
                           ClassNode classNode)

    - #### addImport

          public ImportCustomizer addImport​(String alias,
                                            String className)

    - #### addStaticImport

          public ImportCustomizer addStaticImport​(String className,
                                                  String fieldName)

    - #### addStaticImport

          public ImportCustomizer addStaticImport​(String alias,
                                                  String className,
                                                  String fieldName)

    - #### addImports

          public ImportCustomizer addImports​(String... classNames)

    - #### addStarImports

          public ImportCustomizer addStarImports​(String... packageNames)

    - #### addStaticStars

          public ImportCustomizer addStaticStars​(String... classNames)